> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Count commit changes

> Get the number of changes in a commit



## OpenAPI

````yaml get /repos/{repo_id}/commits/{commit_id}/count_changes
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /repos/{repo_id}/commits/{commit_id}/count_changes:
    parameters:
      - $ref: '#/components/parameters/RepoParam'
      - $ref: '#/components/parameters/CommitParam'
    get:
      tags:
        - Repository Commit Manipulation
      summary: Count commit changes
      description: Get the number of changes in a commit
      operationId: src.handlersv2.commit.count_changes
      responses:
        '200':
          description: The number of changes in the commit
          content:
            application/json:
              schema:
                type: object
                properties:
                  changes_count:
                    type: integer
                required:
                  - changes_count
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - OAuth2:
            - coreapi/read
components:
  parameters:
    RepoParam:
      in: path
      name: repo_id
      required: true
      schema:
        type: string
        example: example_id
        minLength: 3
        maxLength: 128
      description: >-
        The repo ID of the repository. Repo _name_ can be used instead of the
        ID, but usage of ID for permanent linking and API requests is preferred.
    CommitParam:
      in: path
      name: commit_id
      schema:
        type: string
        example: dv.commit.350e1bc3-52dc-4659-9817-7ce8f3fdf628
        minLength: 3
        maxLength: 128
      required: true
      description: A commit ID
  responses:
    NotFound:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        detail:
          type: string
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````